Package twisted :: Package web :: Module widgets :: Class TitleBox

[show private | hide private]
[frames | no frames]

## Class TitleBox

      Widget --+
               |
    Presentation --+
                   |
                  TitleBox

Method Summary
| ``__init__`(self, title, widget)` Wrap a widget with a given title.
| `addClassVars(self, namespace, Class)` (inherited from `Presentation`)
| `addVariables(self, namespace, request)` (inherited from `Presentation`)
| ``display`(self, request)` Implement me to represent your widget. (inherited from `Presentation`)
| `formatTraceback(self, tb)` (inherited from `Presentation`)
| `getTitle(self, request)` (inherited from `Widget`)
| ``prePresent`(self, request)` Perform any tasks which must be done before presenting the page. (inherited from `Presentation`)
| ``streamCall`(self, call, *args, **kw)` Utility: Call a method like StreamWidget's 'stream'. (inherited from `Presentation`)

Class Variable Summary
`string` | `borderColor`
`string` | `boxColor`
`string` | `boxTextColor`
`string` | `template`
`string` | `title`
`string` | `titleTextColor`
`string` | `widget`
`string` | `widthOption`

Method Details

### __init__(self, title, widget)
(Constructor)

Wrap a widget with a given title.

Class Variable Details

### borderColor

  Type:
    `string`
  Value:

        '#000000'

### boxColor

  Type:
    `string`
  Value:

        '#ffffff'

### boxTextColor

  Type:
    `string`
  Value:

        '#000000'

### template

  Type:
    `string`
  Value:

        '<table %%%%self.widthOption%%%% cellpadding="1" cellspacing="0" borde\
        r="0"><tr><td bgcolor="%%%%self.borderColor%%%%"><center><font color="\
        %%%%self.titleTextColor%%%%">%%%%self.title%%%%</font></center><table \
        width="100%" cellpadding="3" cellspacing="0" border="0"><tr><td bgcolo\
        r="%%%%self.boxColor%%%%"><font color="%%%%self.boxTextColor%%%%">%%%%\
        self.widget%%%%</font></td></tr></table></td></tr></table>'

### title

  Type:
    `string`
  Value:

        'No Title'

### titleTextColor

  Type:
    `string`
  Value:

        '#ffffff'

### widget

  Type:
    `string`
  Value:

        'No Widget'

### widthOption

  Type:
    `string`
  Value:

        'width="100%"'

Generated by Epydoc 1.1 on Sat Feb 15 21:19:30 2003 | http://epydoc.sf.net